Subject: bug#77841: Some svg image's black color is replaced by emacs's theme foreground color

From: Alan Third <[email-masked]>
Date: Wed, 9 Jul 2025 19:56:14 +0100

On Wed, Jul 09, 2025 at 03:19:13PM +0300, Eli Zaretskii wrote:
> > Date: Tue, 8 Jul 2025 22:24:54 +0100
> > From: Alan Third <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked],
> > 	[email-masked]
> > 
> > > > I'll send an email to emacs-devel describing the change and then I
> > > > guess we wait a bit and see if anyone has any objections?
> > > > 
> > > > Sound reasonable?
> > > 
> > > Yes, thanks.
> > 
> > It's been two week now, I think, and the only comment confirmed my
> > thought that this is a good change to make. So I think we go ahead
> > with it.
> > 
> > I've updated the documentation and written a NEWS entry, but I'm not
> > very confident about it (attached). If anyone has any thoughts, please
> > let me know.
> 
> The documentation bits LGTM, but if you have specific doubts about
> some of its aspects, please tell the details.

I just wondered if I should add a bit more detail, like in the NEWS
entry, but then again, I don't feel it's our job to explain SVG and
CSS...

Am I good to go ahead and push this to master? It's currently in 4
separate commits.

Thanks!
-- 
Alan Third